### Hierarchy

- unknown
  - ConfirmPaymentReceivedRequest

## Index

### Constructors

- constructor

### Methods

- getTradeId
- serializeBinary
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ConfirmPaymentReceivedRequest(): ConfirmPaymentReceivedRequest

- Inherited from jspb.Message.constructor

  #### Returns ConfirmPaymentReceivedRequest

## Methods

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2354

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2357

  #### Returns Uint8Array

### setTradeId

- setTradeId(value: string): ConfirmPaymentReceivedRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2355

  #### Parameters

  - ##### value: string

  #### Returns ConfirmPaymentReceivedRequest

### toObject

- toObject(includeInstance?: boolean): ConfirmPaymentReceivedRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2358

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ConfirmPaymentReceivedRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ConfirmPaymentReceivedRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2361

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ConfirmPaymentReceivedRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ConfirmPaymentReceivedRequest, reader: BinaryReader): ConfirmPaymentReceivedRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2362

  #### Parameters

  - ##### message: ConfirmPaymentReceivedRequest

  - ##### reader: BinaryReader

  #### Returns ConfirmPaymentReceivedRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ConfirmPaymentReceivedRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2360

  #### Parameters

  - ##### message: ConfirmPaymentReceivedRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ConfirmPaymentReceivedRequest ): ConfirmPaymentReceivedRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2359

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ConfirmPaymentReceivedRequest

  #### Returns ConfirmPaymentReceivedRequest . AsObject

Generated using TypeDoc